/************************************************
 * Copyright (c) Shen Li. All rights reserved.  *
 * http://joyaop.sourceforge.net                *
 * -------------------------------------------- *
 * Distributable under LGPL license.            *
 * See terms of license at gnu.org.             *
 ************************************************/
package net.sf.joyaop.demo.simple;

import net.sf.joyaop.AbstractInterceptor;

/**
 * @author Shen Li
 */
public abstract class AbstractFooInterceptor implements AbstractInterceptor {
    public Object execute() throws Throwable {
        System.out.println();
        System.out.println("invoke AbstractFooInterceptor...");
        System.out.println("method name: " + getMethod().getName());
        System.out.println("argument array length: " + getArguments().length);
        System.out.println("parameter value: " + getParameter("paramName"));
        System.out.println("proxy class name: " + getProxy().getClass().getName());
        return proceed();
    }
}
